#include <iostream>
#include <fstream>
#include <sstream>

#include "hunter.h"
#include "animal.h"
#include "trophy.h"

using namespace std;

void read(Hunter &h, const std::string &fname);

int main()
{
    Hunter h("Zsolti", 62);
    read(h, "input.txt");
    cout << h.countMaleLions() << endl;

    return 0;
}

void read(Hunter &h, const std::string &fname)
{
    ifstream f(fname);
    if(f.fail()) { cout << "Wrong filename\n"; exit(1); }

    string line, place, date, species, gender;
    double weight, lefttusk, righttusk, horn;
    Animal* animal;
    while(getline(f,line)){
        istringstream is(line);
        is >> place >> date >> species >> weight;

        if(species=="lion"){
            is >> gender;
            animal = new Lion(weight, gender=="male");
        }else if(species=="rhino"){
            is >> horn;
            animal = new Rhino(weight, horn);
        }else if(species=="elephant"){
            is >> lefttusk >> righttusk;
            animal = new Elephant(weight, lefttusk, righttusk);
        }
        h.shoot(place, date, animal);
    }
}
